{% extends "transport/base.html" %}

{% block title %}Saisie/édition d’un transport{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'gestion' %}">Transports</a></li>
<li class="breadcrumb-item active" aria-current="page">
    {% if view.is_create %}Nouveau transport{% else %}Édition d’un transport{% endif %}
</li>
{% endblock %}

{% block content %}
<h2>{% if view.is_create %}Saisir un nouveau transport{% else %}Édition d’un transport{% endif %}
</h2>

<form method="post" class="mb-3 saisie debounce">{% csrf_token %}
<div class="row">
    <div class="mb-3">
        {% if form.client %}
            {{ form.client }}
             <div class="input-group">
                {{ form.client_select }}
                <a href="{% url 'client-new' %}" class="btn btn-outline-secondary"
                   type="button" title="Créer un client">+</a>
                {{ form.client.errors }} {{ form.client_select.errors }}
            </div>
        {% else %}
            <p id="client_existing" class="mb-1" data-clientid="{{ form.instance.client_id }}">
                Pour: <span class="fw-bold">{{ form.instance.client }}</span>
            </p>
        {% endif %}
        {% if form.instance.chauffeur %}
            <p class="mb-1">
                Chauffeur: <span class="fw-bold">{{ form.instance.chauffeur }}</span>
            </p>
        {% endif %}
    </div>
    <div>{{ form.date.label_tag }} {{ form.date.errors }}{{ form.date }}</div>
</div>

{{ form.non_field_errors }}

<div class="row">
    <div class="col-8">
        <div class="transport_container">
            {{ form.formset.management_form }}
            <div class="row">
                <div class="col-sm-3 horaire">
                    <label for="{{ form.heure_depart.auto_id }}" class="horaire_label">Départ à:</label>
                    {{ form.heure_depart }}
                    <img id="calculer_depart" class="icon cursor-pointer" src="{% static 'img/calculate.svg' %}" title="Calculer l’heure de départ"
                         data-url="{% url 'transport-calculer-depart' %}">
                    {{ form.heure_depart.errors }}
                </div>
                <div class="col-sm-9 pt-4">
                    <div id="texte_depart_autre" class="d-flex justify-content-between">
                        <p class="fst-italic" id="adresse_depart">
                            {% if form.instance.has_trajets %}{{ form.instance.adresse_depart }}{% else %}Départ du transport…{% endif %}
                        </p>
                        <img id="edit_depart" class="icon cursor-pointer" src="{% static 'img/edit.svg' %}" title="Modifier l’adresse de départ">
                    </div>
                    <div id="input_depart_autre" class="input-group" hidden>
                        {{ form.origine_adr }}
                        {{ form.origine_adr_select }}
                        <button class="btn btn-outline-secondary openmodal" type="button" title="Créer une adresse"
                                data-modalurl="{% url 'transport-address-add' %}?target={{ form.origine_adr.id_for_label }}">+</button>
                        {{ form.origine_adr.errors }}
                    </div>
                </div>
            </div>
        {% for subform in form.formset.forms %}
            {% with principal=subform.destination_princ.initial %}
            <div class="row mt-2">
                <div class="col-sm-3 horaire">
                </div>
                <div class="col-sm-9 d-flex justify-content-between hidden">
                    <div id="temps_trajet_1"></div>
                    <button type="button" class="btn btn-sm btn-outline-info ajout_destination"
                            title="Ajouter une destination intermédiaire">+</button>
                </div>
            </div>

            {{ subform.destination_princ }}
            {% if forloop.first or not forloop.last %}
            <div class="row mb-1 ligne_destination{% if principal %} destination_principale{% endif %}">
                {{ subform.id }} {{ subform.ORDER }} {% if not principal %}{{ subform.DELETE }}{% endif %}
                 <div class="col-sm-3 horaire">
                    {% if principal %}
                    <label for="id_heure_rdv" class="horaire_label">Rdv à:</label>
                    {{ form.heure_rdv.errors }}{{ form.heure_rdv }}
                    {% else %}
                    <label class="horaire_label">En passant par:</label>
                    {% endif %}
                </div>
                <div class="col-sm-9{% if principal %} pt-4{% endif %}">
                    {{ subform.destination_adr }}
                    {% if subform.instance.pk or form.instance.modele.pk %}
                    <div class="d-flex justify-content-between">
                        <div class="destination_actuelle">{{ subform.instance.destination }}</div>
                        {% if form.instance.chauffeur %}
                        <a href="{% url 'trajet-a-plusieurs' subform.instance.pk %}" class="openmodal" title="Trajet à plusieurs">
                            {% if subform.instance.commun_id %}
                            <img src="{% static 'img/plusieurs_actif.png' %}" class="icon"
                             title="Ce trajet est effectué avec d’autres clients" data-bs-toggle="tooltip">
                            {% else %}
                            <img src="{% static 'img/plusieurs.png' %}" class="icon"
                             title="Cliquez pour définir ce trajet comme commun à plusieurs clients" data-bs-toggle="tooltip">
                            {% endif %}
                        </a>
                        {% endif %}
                    </div>
                    {% endif %}
                    <div class="input-group">
                        {{ subform.destination_adr_select }}
                        <button class="btn btn-outline-secondary openmodal" type="button" title="Créer une adresse"
                                data-modalurl="{% url 'transport-address-add' %}?target={{ subform.destination_adr.id_for_label }}">+</button>
                        {% if not principal %}
                        <button class="btn btn-outline-secondary enlever-ligne" type="button" title="Enlever la ligne"
                        >-</button>
                        {% endif %}
                        {{ subform.destination_adr.errors }}
                    </div>
                </div>
            </div>
            {% if principal %}
            <div class="row">
                <div class="col-sm-3 horaire">
                    <div id="ligne_depart_retour">
                        <label class="horaire_label">Fin du rdv:</label>
                        <span id="depart_retour" class="transp_hour">{{ depart_retour|default:"--:--" }}</span>
                    </div>
                </div>
                <div class="col-sm-9">
                    <div class="row">
                        <div id="col_duree_rdv" class="col">
                            <label for="id_duree_rdv" class="horaire_label">Durée du rdv:</label>
                            {{ form.duree_rdv }}{{ form.duree_rdv.errors }}
                        </div>
                        <div class="col col d-flex align-items-end">
                            {{ form.retour.errors }}{{ form.retour }}
                        </div>
                    </div>
                </div>
            </div>
            {% endif %}
            {% endif %}

            {% if forloop.last %}
                {{ subform.id }} {{ subform.ORDER }}
                <div class="row">
                    <div class="col-sm-3 horaire">
                    </div>
                    <div class="col-sm-9">
                    </div>
                </div>
                <div id="ligne_adresse_retour" class="row">
                    <div class="col-sm-3 horaire">
                        <label class="horaire_label">Fin du mandat:</label>
                        <span id="arrivee_retour" class="transp_hour">{{ arrivee_retour|default:"--:--" }}</span>
                    </div>
                    <div class="col-sm-9 p-2">
                        <div id="texte_arrivee_autre" class="d-flex justify-content-between">
                            <p id="adresse_retour" class="fst-italic">
                                {% if form.instance.has_trajets %}
                                    {% if form.instance.retour %}{{ form.instance.adresse_arrivee }}{% else %}{{ form.instance.adresse_depart }}{% endif %}
                                {% else %}Adresse retour{% endif %}
                            </p>
                            <div>
                                <img id="edit_arrivee" class="icon cursor-pointer" src="{% static 'img/edit.svg' %}" title="Modifier l’adresse d’arrivée">
                                {% if form.instance.chauffeur and subform.instance.pk %}
                                <a href="{% url 'trajet-a-plusieurs' subform.instance.pk %}" class="openmodal" title="Trajet à plusieurs">
                                    {% if subform.instance.commun_id %}
                                    <img src="{% static 'img/plusieurs_actif.png' %}" class="icon"
                                     title="Ce trajet est effectué avec d’autres clients" data-bs-toggle="tooltip">
                                    {% else %}
                                    <img src="{% static 'img/plusieurs.png' %}" class="icon"
                                     title="Cliquez pour définir ce trajet comme commun à plusieurs clients" data-bs-toggle="tooltip">
                                    {% endif %}
                                </a>
                                {% endif %}
                            </div>
                        </div>
                        <div id="input_arrivee_autre" class="input-group" hidden>
                            {{ subform.destination_adr }}
                            {{ subform.destination_adr_select }}
                            <button class="btn btn-outline-secondary openmodal" type="button" title="Créer une adresse"
                                    data-modalurl="{% url 'transport-address-add' %}?target={{ subform.destination_adr.id_for_label }}">+</button>
                            {{ subform.destination_adr.errors }}
                        </div>
                    </div>
                </div>
            {% endif %}
            {% endwith %}
        {% endfor %}
        <div class="empty_form row mt-3" hidden>
            {% with empty=form.formset.empty_form %}
            <div class="col-sm-3 horaire">
            </div>
            <div class="col-sm-9">
                {{ empty.destination_princ }}
                {{ empty.destination_adr }}
                <div class="input-group">
                    {{ empty.destination_adr_select }}
                    <button class="btn btn-outline-secondary openmodal" type="button" title="Créer une adresse"
                            data-modalurl="{% url 'transport-address-add' %}?target={{ empty.destination_adr.id_for_label }}">+</button>
                    <button class="btn btn-outline-secondary enlever-ligne empty" type="button" title="Enlever la ligne"
                        >-</button>
                </div>
                {{ empty.id }}
                {{ empty.ORDER }}
            </div>
            {% endwith %}
        </div>

        </div>

        <div class="mb-2">
            {{ form.typ.errors }}{{ form.typ }}
        </div>
        <div class="mb-2">
            {{ form.remarques.label_tag }}{{ form.remarques }}{{ form.remarques.errors }}
        </div>

        {% if form.repetition %}
        <div>
            <details>
                <summary>Répétition</summary>
                <div>
                    {% with form.repetition as field %}
                    <div class="me-1">
                        <div class="formfield {{ field.css_classes }}">{{ field.errors }}</div> {{ field }}
                    </div>
                    {% endwith %}
                    {% with form.repetition_fin as field %}
                    <div>
                        <div class="formfield {{ field.css_classes }}">{{ field.errors }}{{ field.label_tag }}</div> {{ field }}
                    </div>
                    {% endwith %}
                </div>
            </details>
        </div>
        {% endif %}
    </div>
    <div class="col-4">
        <div id="fonds_transport" class="alert alert-danger fw-bold" hidden>
            Fonds transport handicap: NE PLUS TRANSPORTER
        </div>
        <div id="remarques_client"></div>
        <div id="derniers_transports" data-transportsurl="{% url 'transport-client-derniers' %}">
        </div>
    </div>
</div>
<div class="row">
    <div class="mt-3 d-flex justify-content-between">
        <button type="submit" class="btn btn-primary">Enregistrer</button>
    </div>
</div>
</form>

<template id ="not_geolocalized">
    <img class="icon align-top" src="{% static 'img/warning.svg' %}"> Cette adresse n’a pas pu être géolocalisée.
</template>
{% endblock %}
